Notes 8.5.2 & Ubuntu 11.04

  • Автор темы krn
  • Дата начала
K
#1
Коллеги, добрый день.

Поставил пакет ibm-lotus-notes-8.5.2.i586.deb на ubuntu 11.04 x86. Пакет составился нормально. После первого запуска, как и полагается, пошла настройка клиента. Все нормально, адекватно. Нашел сервер, подцепил id, вошел в клиент. С этого момента начались проблемы. Пытаюсь открыть базу данных с сервера, он открывается список баз, я выбираю базу он отображает вкладку, типа БД открыта, но при щелчке на эту вкладку либо ничего не происходит либо он начинается тупить, показывать разный бред - фрагменты каких-либо окон, или части предыдущей вкладки. В чем может быть проблема?
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#2
индусы крайне ленивый народ...
и нормальный стиль прогания им не свойсвенен..., они струдом освоили винАпи, а альтернативные системы им чужды :)
как результат - выходить за рамки
Для просмотра контента необходимо: Войти или зарегистрироваться
релизов или рекомендаций от ИБМ - это куча граблей
всё отображение эти уроды выполняют через "эмуляцию" костылей для вин32 платформы
можно искать совместимые либы или поставить в
Для просмотра контента необходимо: Войти или зарегистрироваться
устаревший вариант дистра,,,
ну или в вирталбоксе поднять
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#3
да... если ставить на 64бит, помимо базовых lib32, надо будет подтянуть другие 32бит либы (какие - надо гугл спросить или ldd пробежаться по каталогу программ нотусни)
для получения заветных либ (для 32бит) юзать getlibs
 
K
#4
да... если ставить на 64бит, помимо базовых lib32, надо будет подтянуть другие 32бит либы (какие - надо гугл спросить или ldd пробежаться по каталогу программ нотусни)
для получения заветных либ (для 32бит) юзать getlibs
Странно... Ведь есть выпустили официальный дистрибутив по Debian/Ubuntu c расшиернеим deb. Он нормально ставится. Почему нормально не работает? Тогда бы не писали, что с поддердкой установки на ubuntu
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#5
deb не регламентирует версию дистра - только версии зависимых библиотек, но эти зависимости устанавливают разработчики,,,
иИБМ (индусы ИБМ) понятия не имеют - как правильно делать сборки (винда отучает от процесса заботы о качестве продукта - любое г... обеспечено запускаемостью, силами инженеров от МС), и потому в зависимостях маловато указано...
вот для 64бит http://usablesoftware.wordpress.com/2010/0...cid-lynx-64bit/
ряд условий:
- не все более старшие версии либ поддерживают совместимость с младшими
- ИБМ не гарантирует запуск своего софта, для не указанных версий платформ (собственно, в т.ч., для того и есть LTS)
- нотусня очень коряво написана, в части ГУИ, даже на винде работает х..во, и эту корявость перенесли в линуха, написав рапер кусков w32 (подогнав отображение под актуальный дистр)

Добавлено: ну и список поддержки http://www-01.ibm.com/support/docview.wss?uid=swg27019218
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#8
взять виндовый дистр и запустить его через вайн
для 8-ки будут проблемы (если ваще будет работать), самое "смешное" что эклипс (с использованием кот. писан нотус 8.х) проблем не испытывает :(
7-ка хорошо работает в вайне (местами луче винды, как это не странно), но и там есть особенности (опять в гуи насрали, в этот раз в java свинговом и AWT)
самый правильный метод - использование LTS релизов, выж не пытаетесь в винде юзать нотусню, когда версия винды не рекомендована для нотусни :)
винда выходит не чаще чем LTS релизы бубунты
 
K
#9
для 8-ки будут проблемы (если ваще будет работать), самое "смешное" что эклипс (с использованием кот. писан нотус 8.х) проблем не испытывает :(
7-ка хорошо работает в вайне (местами луче винды, как это не странно), но и там есть особенности (опять в гуи насрали, в этот раз в java свинговом и AWT)
самый правильный метод - использование LTS релизов, выж не пытаетесь в винде юзать нотусню, когда версия винды не рекомендована для нотусни :)
винда выходит не чаще чем LTS релизы бубунты
Да. Все плохо. Нужно переходить на XPages и уходить от толстого клиента.
 

lmike

нет, пердело совершенство
Lotus team
27.08.2008
6 567
263
#10
ну вощем-то мысль здравая, тем более, что xPages для RIA замыслена, а современный тренд - делать морду приложения на JS фрэймворках и еслибы МС не извратил эту идею раньше - ужеб и не вспоминали про вин32 и прочую малопортабельную ГУЙню
свои-то мхт файлы МСявые во-всю юзают, но как общая идея, теперь, это реинкарнирует в хтмл5
гугл даже голос и видео конфы пихает в браузер и не как платформенные шняжки, а как общую поддержку браузерами http://www.opennet.ru/opennews/art.shtml?num=30737
сервера совместной работы над доками, в онлайн (гуглдокс и etherpad в частности http://etherpad.com/ - сервак у ся поднять мона)
ИБМ не будет дорабатывать "толстого клиента", ИМХО, алсо не будет его активно продвигать...
переписать или изменить то, что индусы делали с 95-го (где-то так) года (13-15 лет) нерентабельно - ибо быдлокод
когда я сравниваю шаблоны мэйла от 4.6 и от 7-ки - меня охватывает ужас от кол-ва костылей и индусского кода это невозможно поддерживать - только в мусор